Bug 1235110

Summary: Doesn't provide /usr/bin/sendmail
Product: [Fedora] Fedora Reporter: Vallimar <vallimar>
Component: opensmtpdAssignee: Denis Fateyev <denis>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 22CC: denis
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-02 13:08:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1244444    
Bug Blocks:    

Description Vallimar 2015-06-24 03:04:56 UTC
Description of problem:
Package doesn't properly provide ghost links to be a true 'alternatives' package for sendmail. This causes the problem that even if you configure opensmtpd to be active via the alternatives command, the package database has no listing of opensmtpd providing a /usr/bin/sendmail binary, so it will not satisfy that requirement for packages such as redhat-lsb or alpine.


Version-Release number of selected component (if applicable):
Probably all of them to-date, but this is the one I just tried:
opensmtpd-5.4.6p1

How reproducible:
Always

Additional info:
The specfile should have these lines added to the %files section:
%attr(0755,root,root) %ghost %{_sbindir}/sendmail
%attr(0755,root,root) %ghost %{_sbindir}/makemap
%attr(0755,root,root) %ghost %{_bindir}/mailq
%attr(0755,root,root) %ghost %{_bindir}/newaliases
%attr(0755,root,root) %ghost /usr/lib/sendmail

Comment 1 Denis Fateyev 2015-07-02 14:55:01 UTC
Thanks for the report. It's considered for the next major release which is coming soon.

Comment 2 Denis Fateyev 2015-07-18 22:40:49 UTC
I've just submitted an update; please check the packages from testing.

Comment 3 Vallimar 2015-07-19 02:43:00 UTC
It looks good to me, tested and working as expected now.
Thanks for resolving this!